Conversation Details

Get conversation details for a given user

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get all the Conversation Element constituting the whole conversation between an interlocutor and the bot (or support agent)
The endpoint is paginated as explained next.

🚧

Private API key needed

This endpoint can only be used with your private API key, accessible in the API tab of your bot settings.

The Conversation Element are always chronologically sorted.
The endpoint allows you to scroll the conversation from the start (first message between interlocutor and the bot), or from the end (last message between interlocutor and the bot), or from any point in time, and then carry on scrolling up (older) or down (newer).

Example

to scroll from the end :
first call api with params : boundary=to_end
then call api with params boundary=to_time×tamp=t&include=false where t is the timestamp of the first element of the previous results

to scroll from a given element : take the timestamp of the element :
first call api with params : boundary=around_time×tamp=t (will return array of element where the one with timestamp=t is in the middle)

to scroll up :
call api with params : boundary=to_time×tamp=t2&include=false where t2 is the timestamp of the first element of the previous results (or the older element you have)

to scroll down :
call api with params : boundary=from_time×tamp=t2&include=false where t2 is the timestamp of the last element of the previous results (or the newer element you have)

returns a list of 'conversation_element'

AttributeTypeDescription
data[]list of Conversation ElementA list of the Conversation Element of the conversation
Path Params
string
required

a bot ID

string
required

an interlocutor ID

Query Params
int32
Defaults to 10

Number of conversation_element to retrieve

string
Defaults to to_end

Enum : (from_start, from_time, around_time, to_time, to_end)

int64

Second from epoch. used with the boundary values from_time, around_time, to_time. timestamp from which get the elements

boolean
Defaults to true

For ‘from_time’ and ‘to_time’ if true, returns the element whose timestamp equals the timestamp param

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json